curl --request POST \
--url https://{tenant}.ekso.app/api/board \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"description": "<string>",
"container": [
"<string>"
],
"resource": [
"<string>"
],
"budgetHours": 123,
"budgetChange": [
{
"id": "<string>",
"reasonId": "<string>",
"userId": "<string>",
"initials": "<string>",
"dated": "2023-11-07T05:31:56Z",
"changeDelta": 123
}
],
"locked": true,
"archived": true,
"role": [
{
"role": 123,
"userGroup": [
"<string>"
]
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
The board data to create. Container accepts container IDs. Resource accepts user group IDs (ConfigUserGroup).
Show child attributes
Show child attributes
Board created successfully.
curl --request POST \
--url https://{tenant}.ekso.app/api/board \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"description": "<string>",
"container": [
"<string>"
],
"resource": [
"<string>"
],
"budgetHours": 123,
"budgetChange": [
{
"id": "<string>",
"reasonId": "<string>",
"userId": "<string>",
"initials": "<string>",
"dated": "2023-11-07T05:31:56Z",
"changeDelta": 123
}
],
"locked": true,
"archived": true,
"role": [
{
"role": 123,
"userGroup": [
"<string>"
]
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'